Subject: Re: [net-next 14/15] net/mlx5: SRIOV, Add 802.1ad VST support

From: Saeed Mahameed <[email-masked]>
Date: Thu, 8 Dec 2022 21:05:23 -0800

On 08 Dec 18:04, Jakub Kicinski wrote:
>On Thu, 8 Dec 2022 17:57:57 -0800 Saeed Mahameed wrote:
>> So the whole thing started from finding these gaps in our out of tree
>> driver. there's the bug fix i will explain below, and the addition of .1ad
>> both were found missing upstream when we convinced a customer to switch
>> to upstream/inbox driver.
>>
>> vst .1q and vst .1ad are both totally separate scenarios and use cases for
>> the customers.
>>
>> Currently upstream mlx5 only support VST for vlan proto .1q,
>> but it's buggy when traffic from the guest comes with a vlan tag,
>> depending on the HW/FW version, either the packets get dropped or
>> the guest vlans get overridden with the VST host vlan, this is due to
>> wrong interpretation of the hw steering rules in the initial driver
>> implementation. in both cases it's a bug and the latter is even worse.
>
>I see, but that's the fix? Uniformly drop?
>Start stacking with just .1q?
>Auto-select the ethtype for .1ad if there's already a tag?

push the vst .1q tag. keep original tags intact.
per policy we won't have .1ad support :( ..